Zero-Knowledge Verification (v2)
Verify Submitted OTP Zero-Knowledge Proof (v2)
POST
Verifies the submitted zero-knowledge codeProof in constant time against the issued challenge nonce and active session. Enforces attempt limits and immediately burns the single-use token on success to prevent replay.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
phoneNumber*stringcodeProof*stringZero-Knowledge challenge proof: hex(sha256(challengeNonce.trim().toLowerCase() + ':' + code.trim().toLowerCase()))
otpId?stringVerification outcome
application/json- response
status?stringdata?curl -X POST 'https://api.smspro.com/api/v2/public/otp/verify' \ -H 'Content-Type: application/json' \ -d '{ "phoneNumber": "string", "codeProof": "string"}'Example Response
{ "status": "string", "data": { "valid": true, "status": "APPROVED", "message": "string", "channelDelivered": "WHATSAPP", "verifiedAt": "2019-08-24T14:15:22Z", "attemptsRemaining": 0 }}